Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind
Interface EntityBinding<E>

All Known Implementing Classes:
  SerialSerialBinding, TupleSerialBinding, TupleSerialMarshalledBinding, TupleTupleBinding, TupleTupleMarshalledBinding

    public interface EntityBinding<E>

A binding between a key-value entry pair and an entity object.

WARNING: Binding instances are typically shared by multiple threads and binding methods are called without any special synchronization. Therefore, bindings must be thread safe. In general no shared state should be used and any caching of computed values must be done with proper synchronization.

Author:
  Mark Hayes

Method Summary
`E` | `entryToObject(DatabaseEntry key, DatabaseEntry data)` Converts key and data entry buffers into an entity Object.
`void` | `objectToData(E object, DatabaseEntry data)` Extracts the data entry from an entity Object.
`void` | `objectToKey(E object, DatabaseEntry key)` Extracts the key entry from an entity Object.

Method Detail

### entryToObject

    E entryToObject(DatabaseEntry key,
                    DatabaseEntry data)

  Converts key and data entry buffers into an entity Object.

  Parameters:
    `key` - is the source key entry.
    `data` - is the source data entry.
  Returns:
    the resulting Object.

### objectToKey

    void objectToKey(E object,
                     DatabaseEntry key)

  Extracts the key entry from an entity Object.

  Parameters:
    `object` - is the source Object.
    `key` - is the destination entry buffer.

### objectToData

    void objectToData(E object,
                      DatabaseEntry data)

  Extracts the data entry from an entity Object.

  Parameters:
    `object` - is the source Object.
    `data` - is the destination entry buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.